> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Audio classification pipeline



## OpenAPI

````yaml /api-reference/openapi.json post /v1/classifications/audio
openapi: 3.1.0
info:
  title: SynapsAI Inference API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/classifications/audio:
    post:
      summary: Audio classification pipeline
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AudioClassificationRequest'
      responses:
        '200':
          description: List of label/score dicts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClassificationListLabelScore'
components:
  schemas:
    AudioClassificationRequest:
      allOf:
        - type: object
          description: Request to classify audio inputs.
          properties:
            inputs:
              oneOf:
                - type: array
                  items:
                    type: number
                - type: string
                - type: object
              description: >-
                Audio input as numpy-like array, raw bytes or a dict descriptor.
                Required.
            top_k:
              type: integer
              default: 5
              description: Number of top labels to return.
            function_to_apply:
              type: string
              enum:
                - sigmoid
                - softmax
                - none
              default: softmax
              description: Post-processing function to apply to raw model scores.
          required:
            - inputs
    ClassificationListLabelScore:
      type: array
      description: 'Standard classification response: list of label/score pairs.'
      items:
        type: object
        properties:
          label:
            type: string
            description: Predicted label name.
          score:
            type: number
            description: Confidence score (probability-like) for the label.

````